Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class GroupingView

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.grid.GridView
              com.gwtext.client.widgets.grid.GroupingView

    public class GroupingView

extends GridView

Field Summary

Fields inherited from class com.gwtext.client.widgets.grid.GridView
`configJS`

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`GroupingView()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`void` | `setEmptyGroupText(java.lang.String emptyGroupText)`
`void` | `setEnableGrouping(boolean enableGrouping)`
`void` | `setEnableGroupingMenu(boolean enableGroupingMenu)`
`void` | `setEnableNoGroups(boolean enableNoGroups)`
`void` | `setGroupByText(java.lang.String groupByText)`
`void` | `setGroupTextTpl(java.lang.String groupTextTpl)`
`void` | `setHideGroupedColumn(boolean hideGroupedColumn)`
`void` | `setIgnoreAdd(boolean ignoreAdd)`
`void` | `setShowGroupName(boolean showGroupName)`
`void` | `setShowGroupsText(boolean showGroupsText)`
`void` | `setStartCollapsed(boolean startCollapsed)`

Methods inherited from class com.gwtext.client.widgets.grid.GridView
`fitColumns, focusCell, focusRow, getCell, getEmptyText, getHeaderCell, getJsObj, getRow, getRowClass, refresh, refresh, refreshRow, refreshRow, scrollToTop, setAutoFill, setEmptyText, setEnableRowBody, setForceFit, setScrollOffset, updateHeaderSortState`

Methods inherited from class com.gwtext.client.core.JsObject
`getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupingView

    public GroupingView()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `GridView`

### setEmptyGroupText

    public void setEmptyGroupText(java.lang.String emptyGroupText)

### setEnableGrouping

    public void setEnableGrouping(boolean enableGrouping)

### setEnableGroupingMenu

    public void setEnableGroupingMenu(boolean enableGroupingMenu)

### setEnableNoGroups

    public void setEnableNoGroups(boolean enableNoGroups)

### setGroupByText

    public void setGroupByText(java.lang.String groupByText)

### setGroupTextTpl

    public void setGroupTextTpl(java.lang.String groupTextTpl)

### setHideGroupedColumn

    public void setHideGroupedColumn(boolean hideGroupedColumn)

### setIgnoreAdd

    public void setIgnoreAdd(boolean ignoreAdd)

### setShowGroupName

    public void setShowGroupName(boolean showGroupName)

### setShowGroupsText

    public void setShowGroupsText(boolean showGroupsText)

### setStartCollapsed

    public void setStartCollapsed(boolean startCollapsed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD